<!-- <form [formGroup]="userForm" (ngSubmit)="send(userForm.value)">
 
    <div *ngFor="let phone of getPhonesFormControls(); let i = index">
       
                        
                        <div class="col-lg-10 position-r">
                            <div class="wrapper">
                                <div class="panel panel-default " id="addon">

                                    <div class="panel-body">
                                        <form>
                                            <div class="row row-p mb-3">
                                                <div class="col-lg-9">
                                                    <input type="text" class="form-control" id=""
                                                        placeholder="Enter variation name" name="">
                                                    <span class="input-spnr">| 0/20</span>
                                                </div>
                                                <div class="col-lg-3 a-s-c">
                                                    <ul class="ad-ul">
                                                        <li><a href="javascript:void0;"><i
                                                                    class="fa-solid fa-arrows-up-down-left-right"></i></a>
                                                        </li>
                                                        <li><a href="javascript:void0;"><i
                                                                    class="fa-solid fa-trash"></i></a>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                   
          
        <label>Phone {{i}} </label>
        <input  type="text">
        <button (click)="removePhone(i)">Remove Phone</button>
    </div>
    <br>
    <button (click)="addPhone()">Add new phone</button>
    <br>
    <br>
    <input type="submit">
</form> -->
<form [formGroup]="userForm" (ngSubmit)="send(userForm.value)">
<div class="container mt-50">
    <!-- partial:partials/_sidebar.html -->
    <div class="row ">
        <div class="col-lg-9">
            <div class="nine">
                <div id="section1" class="">
                    <h2>Informations de base</h2>
                    <div class="row">
                        <div class="col-lg-2 col-md-2 col-sm-12 col-12">
                            <label>Image du produit</label>
                        </div>
                        <div class="col-lg-10 col-md-10 col-sm-12 col-12">
                            <div id="page">
                                <!-- <input type="file" (change)="onSelectFile($event)">
                                <img [src]="url">-->
                                <!-- Our File Inputs -->

                                <div class="wrap-custom-file" *ngFor="let product of products; let i = index">
                                    <input type="file" #fileInput name="image{{i+1}}" id="image{{i+1}}"
                                        accept=".gif, .jpg, .png" (change)="onFileUpdate($event,i)" />
                                    <label for="image{{i+1}}">
                                        <img *ngIf="product.imgBase64Data" [src]='product.imgBase64Data'
                                            (click)='fileInput.click()' style="width: 104px;margin:0px -5px">
                                        <i class="fa fa-plus-circle" *ngIf="!product.imgBase64Data"></i>
                                    </label>
                                    <p class="img-n clr-b">Image {{i+1}}</p>
                                </div>



                                <!-- End Page Wrap -->
                            </div>
                        </div>
                    </div>
                    <br><br>
                    <div class="row">
                        <div class="col-lg-2 col-md-2 col-sm-12 col-12">
                            <label>Vidéo du produit</label>
                        </div>
                        <div class="col-lg-10 col-md-10 col-sm-12 col-12">
                            <div class="row">
                                <div class="col-lg-2 col-md-3 col-sm-4 col-4">
                                    <div id="page">

                                        <div class="wrap-custom-file">
                                            <input type='file' name="image10" id="image10" accept=".mp4"
                                                (change)="onSelectFile($event)" />
                                            <label for="image10">
                                                <img [src]="url" *ngIf="format==='image' && url"
                                                    style="width: 104px;margin:0px -5px"> <br />
                                                <video [src]="url" *ngIf="format==='video' && url"
                                                    style="width: 104px;margin:0px -5px" controls></video> <br />
                                                <i class="fa fa-plus-circle" *ngIf="!url"></i>
                                            </label>
                                            <p class="img-n clr-b">* Vidéo de couverture</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-10 col-md-10 col-sm-8 col-8">
                                    <ol class="ul-r-img">
                                        <li>Taille : 30 Mo maximum, la résolution ne doit pas dépasser 1280x1280.</li>
                                        <li>Durée:10s-60s</li>
                                        <li>Format:MP4</li>
                                        <li>Note : Vous pouvez publier cette liste pendant que le vedio est en cours de
                                            traitement. La vidéo sera affichée dans la liste une fois qu'elle aura été
                                            traitée avec succès.</li>
                                    </ol>
                                </div>
                            </div>
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="row">
                                <div class="col-lg-2 txt-align a-c-s">
                                    <label class="mb-0">*Nom du produit</label>
                                </div>
                                <div class="col-lg-10 position-r">
                                    <input type="text" class="form-control" id="" placeholder="" name="">
                                    <span class="input-spnr">| 28/120</span>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-lg-2 txt-align a-c-s">
                                    <label class="">*Description du produit</label>
                                </div>
                                <div class="col-lg-10 position-r">
                                    <textarea class="form-control h-a" rows="5" id="" name=""></textarea>
                                    <span class="input-br">| 28/120</span>
                                </div>
                            </div>
                            <br>
                            <div class="row mt-3">
                                <div class="col-lg-2 txt-align a-c-s">
                                    <label class="">*Catégorie</label>
                                </div>
                                <div class="col-lg-10 position-r">
                                    <ul class="add-pro mb-0">
                                        <li><a href="javascript:void0;">Alimentation et boissons</a></li>
                                        <li><a href="javascript:void0;">Alimentation et boissons</a></li>
                                        <li><a href="javascript:void0;">Alimentation et boissons</a></li>
                                        <li><a href="javascript:void0;">Alimentation et boissons</a></li>
                                    </ul>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-lg-2 txt-align a-c-s">
                                    <label class="">*Marchandises dangereuses <i
                                            class="fa-regular fa-circle-question"></i></label>
                                </div>
                                <div class="col-lg-10 position-r">
                                    <ul class="radi-o">
                                        <li><label class="">Non
                                                <input type="radio" checked="checked" name="radio">
                                                <!-- <span class="checkmark"></span> -->
                                            </label>
                                        </li>
                                        <li><label class="">Oui
                                                <input type="radio" checked="checked" name="radio">
                                                <!-- <span class="checkmark"></span> -->
                                            </label>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <br>
                        </div>
                    </div>
                </div>
                <div id="section2" class=""  >
                    <h2>Spécifications</h2>
                    <div class="row mb-3 pb-5">
                        <div class="col-lg-12">
                            <div class="row">
                                <div class="col-lg-2 txt-align">
                                    <label class="">Attribute 1 <i class="fa-regular fa-circle-question"></i></label>
                                </div>
                                <div class="col-lg-7 position-r">
                                    <div class="bg-f4" id="bg-f44">
                                        <button class="cncl" id="cancl">&times;</button>
                                        <div class="row mb-3">
                                            <div class="col-lg-2 txt-align">
                                                <label class="pt-6">Nom</label>
                                            </div>
                                            <div class="col-lg-10 position-r">
                                                <div class="row">
                                                    <div class="col-lg-9">
                                                        <input type="text" class="form-control" id=""
                                                            placeholder="Enter variation name" name="">
                                                        <span class="input-spnr">| 0/14</span>
                                                    </div>
                                                    <div class="col-lg-3">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>


                                        <div class="row mb-3"  >
                                            <div class="col-lg-2 txt-align">
                                                <label class="pt-6">Option </label>
                                            </div>
                                            <div class="col-lg-10 position-r" >
                                                <div class="wrapper">
                                                    <div class="panel panel-default " id="addon">

                                                        <div class="panel-body" *ngFor="let phone of getPhonesFormControls(); let i = index">
                                                            <form>
                                                                <div class="row row-p mb-3">
                                                                    <div class="col-lg-9">
                                                                        <input type="text" class="form-control" id=""
                                                                            placeholder="Enter variation name" name="">
                                                                        <span class="input-spnr">| 0/20</span>
                                                                    </div>
                                                                    <div class="col-lg-3 a-s-c">
                                                                        <ul class="ad-ul">
                                                                            <li><a ><i
                                                                                        class="fa-solid fa-arrows-up-down-left-right"></i></a>
                                                                            </li>
                                                                            <li (click)="removePhone(i)"><a ><i
                                                                                        class="fa-solid fa-trash"></i></a>
                                                                            </li>
                                                                        </ul>
                                                                    </div>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>


                                        </div>
                                        <div class="row mb-3">
                                            <div class="col-lg-2 text-right">
                                            </div>
                                            <div class="col-lg-10 position-r">
                                                <div class="row">
                                                    <div class="col-lg-9">
                                                        <div class="add_component">
                                                            <button type="button" class="btn btn-add-op"
                                                                id="show/hide" (click)="addPhone()"><i class="fa-solid fa-circle-plus"></i>
                                                                Ajouter des options </button>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-3 a-s-c">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-12 position-r displ p-0" style="display:none;">
                                        <button type="button" class="btn btn-add-op"><i
                                                class="fa-solid fa-circle-plus"></i> Autoriser les variations </button>
                                    </div>
                                </div>
                            </div>


                           

                            <div class="row mt-3">
                                <div class="col-lg-2 txt-align a-c-s">
                                    <label class="mb-0">Attribute 2</label>
                                </div>
                                <div class="col-lg-7 position-r">

                                    <button type="button" class="btn btn-add-op"> <i
                                            class="fa-solid fa-circle-plus"></i> Ajouter </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="section3" class="">
                    <h2>Informations sur les ventes</h2>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="row">
                                <div class="col-lg-2 txt-align">
                                    <label class="">Variations 1 <i class="fa-regular fa-circle-question"></i></label>
                                </div>
                                <div class="col-lg-7 position-r">
                                    <div class="bg-f4">
                                        <button class="cncl">&times;</button>
                                        <div class="row mb-3">
                                            <div class="col-lg-2 txt-align">
                                                <label class="pt-6">Nom</label>
                                            </div>
                                            <div class="col-lg-10 position-r">
                                                <div class="row">
                                                    <div class="col-lg-9">
                                                        <input type="text" class="form-control" id=""
                                                            placeholder="Enter variation name, eg:colour, etc" name="">
                                                        <span class="input-spnr">| 0/14</span>
                                                    </div>
                                                    <div class="col-lg-3">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row mb-3">
                                            <div class="col-lg-2 txt-align">
                                                <label class="pt-6">Options</label>
                                            </div>
                                            <div class="col-lg-10 position-r">
                                                <div class="wrapper">
                                                    <div class="panel panel-default " id="addon1">
                                                        <div class="panel-heading">
                                                        </div>
                                                        <div class="panel-body" *ngFor="let phone of getPhonesFormControls2(); let i = index">
                                                            <form action="<?php echo $action; ?>" method="post"
                                                                enctype="multipart/form-data" id="form-event"
                                                                class="form-horizontal">
                                                                <div class="row row-p mb-3">
                                                                    <div class="col-lg-9">
                                                                        <input type="text" class="form-control" id=""
                                                                            placeholder="Enter variation name, eg:colour, etc"
                                                                            name="">
                                                                        <span class="input-spnr">| 0/20</span>
                                                                    </div>
                                                                    <div class="col-lg-3 a-s-c">
                                                                        <ul class="ad-ul">
                                                                            <li><a href="javascript:void0;"><i
                                                                                        class="fa-solid fa-arrows-up-down-left-right"></i></a>
                                                                            </li>
                                                                            <li (click)="removePhone2(i)"><a href="javascript:void0;"><i
                                                                                        class="fa-solid fa-trash"></i></a>
                                                                            </li>
                                                                        </ul>
                                                                    </div>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row mb-2">
                                            <div class="col-lg-2 text-right">
                                            </div>
                                            <div class="col-lg-10 position-r">
                                                <div class="row">
                                                    <div class="col-lg-9">
                                                        <div class="add_component">
                                                            <button type="button" class="btn btn-add-op1"
                                                                id="show1/hide1"  (click)="addPhone2()"><i class="fa-solid fa-circle-plus"></i>
                                                                Ajouter des options</button>
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-3 a-s-c">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-12 position-r displ p-0" style="display:none;">
                                        <button type="button" class="btn btn-add-op"><i
                                                class="fa-solid fa-circle-plus"></i> Ajouter des options </button>
                                    </div>
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-lg-2 txt-align a-c-s">
                                    <label class="mb-0">Variations 2</label>
                                </div>
                                <div class="col-lg-7 position-r">

                                    <button type="button" class="btn btn-add-op"> <i
                                            class="fa-solid fa-circle-plus"></i> Add </button>
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-lg-2 txt-align pt-6">
                                    <label class="mb-0">Informations sur les variations</label>
                                </div>
                                <div class="col-lg-7 position-r">
                                    <div class="table-responsive">
                                        <table class="table table-bordered tbl-td-h">
                                            <thead>
                                                <tr>
                                                    <td class="position-r"><span class="tblin-l">RM |</span><input
                                                            type="text" class="tbl-contol" placeholder="input" /> </td>
                                                    <td class="position-r"><input type="text" class="tbl-contol1"
                                                            placeholder="Price" /> </td>
                                                    <td class="position-r"><input type="text" class="tbl-contol1"
                                                            placeholder="Stock" /> </td>
                                                    <td class="position-r"><input type="text" class="tbl-contol1"
                                                            placeholder="SKU" /> </td>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                </div>
                                <div class="col-lg-3 text-right">
                                    <button type="button" class="btn btn-fill w-100">S'appliquer à tous</button>
                                </div>
                            </div>
                            <div class="row justify-content-end mt-5 pt-3">
                                <div class="col-lg-10 col-md-7 col-md-offset-2 col-lg-offset-2 position-r">
                                    <div class="table-responsive br-6">
                                        <table class="table table-bordered tbl-sell tbl-td-h">
                                            <thead class="th-bg">
                                                <tr>
                                                    <td>Couleur</td>
                                                    <td>Taille</td>
                                                    <td>Prix</td>
                                                    <td>Stock</td>
                                                    <td>SKU</td>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                <tr>
                                                    <td rowspan="2">Rouge</td>
                                                    <td>S</td>
                                                    <td class="position-r"><span class="tblin-l">RM |</span><input
                                                            type="text" class="tbl-contol" placeholder="input" /> </td>
                                                    <td class="position-r"><input type="text" class="tbl-contol1"
                                                            placeholder="" /> </td>
                                                    <td class="position-r"><input type="text" class="tbl-contol1"
                                                            placeholder="" /> </td>
                                                </tr>
                                                <tr>
                                                    <td>S</td>
                                                    <td class="position-r"><span class="tblin-l">RM |</span><input
                                                            type="text" class="tbl-contol" placeholder="input" /> </td>
                                                    <td class="position-r"><input type="text" class="tbl-contol1"
                                                            placeholder="" /> </td>
                                                    <td class="position-r"><input type="text" class="tbl-contol1"
                                                            placeholder="" /> </td>
                                                </tr>


                                                <tr>
                                                <tr>
                                                    <td rowspan="2">Noir</td>
                                                    <td>S</td>
                                                    <td class="position-r"><span class="tblin-l">RM |</span><input
                                                            type="text" class="tbl-contol" placeholder="input" /> </td>
                                                    <td class="position-r"><input type="text" class="tbl-contol1"
                                                            placeholder="" /> </td>
                                                    <td class="position-r"><input type="text" class="tbl-contol1"
                                                            placeholder="" /> </td>
                                                </tr>
                                                <tr>
                                                    <td>S</td>
                                                    <td class="position-r"><span class="tblin-l">RM |</span><input
                                                            type="text" class="tbl-contol" placeholder="input" /> </td>
                                                    <td class="position-r"><input type="text" class="tbl-contol1"
                                                            placeholder="" /> </td>
                                                    <td class="position-r"><input type="text" class="tbl-contol1"
                                                            placeholder="" /> </td>
                                                </tr>

                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>

                            <br>
                            <br>
                            <br>
                        </div>
                    </div>
                </div>
                <div id="section4" class="">
                    <h2>Expédition</h2>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="row">
                                <div class="col-lg-2 txt-align">
                                    <label class="">*Poids </label>
                                </div>
                                <div class="col-lg-7 position-r">
                                    <input type="text" class="form-control" id="" placeholder="1" name="">
                                    <span class="input-spnr">| Kg</span>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-lg-2 txt-align ">
                                    <label class="mb-0">Taille du colis</label>
                                </div>
                                <div class="col-lg-7 position-r">
                                    <div class="row">
                                        <div class="col-lg-4 mb-3">
                                            <input type="text" class="form-control" id="" placeholder="Largeur" name="">
                                            <span class="input-spnr">| cm</span>
                                        </div>
                                        <div class="col-lg-4 mb-3">
                                            <input type="text" class="form-control" id="" placeholder="Longueur"
                                                name="">
                                            <span class="input-spnr">| cm</span>
                                        </div>
                                        <div class="col-lg-4 mb-3">
                                            <input type="text" class="form-control" id="" placeholder="Hauteur" name="">
                                            <span class="input-spnr">| cm</span>
                                        </div>
                                    </div>
                                    <br>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-lg-2 txt-align">
                                    <label class="">Expédition gratuite</label>
                                </div>
                                <div class="col-lg-9 position-r">
                                    <div class="col-lg-12 p-0">
                                        <div class="card">
                                            <div class="card-header">
                                                <a class="collapsed btn" data-bs-toggle="collapse" href="#collapseTwo">
                                                    Livraison standard
                                                </a>
                                            </div>
                                            <div class="" data-bs-parent="#accordion">
                                                <div class="card-body cb">
                                                    <div class="row">
                                                        <div class="col-lg-8 col-md-8 ">
                                                            <span>Livraison standard</span> <span
                                                                class="spn-clrd">SHOPEE SUPPORTED LO..</span>
                                                        </div>
                                                        <div class="col-lg-4 col-md-4 text-right">
                                                            <span>
                                                                RM4.90 <i class="fa-solid fa-pencil"></i>
                                                                <label class="switch">
                                                                    <input type="checkbox">
                                                                    <span class="slider round"></span>
                                                                </label>
                                                            </span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card">
                                            <div class="card-header">
                                                <a class="collapsed btn" data-bs-toggle="collapse" href="#collapseTwo">
                                                    Collection de l'acheteur
                                                </a>
                                            </div>
                                            <div class="" data-bs-parent="#accordion">
                                                <div class="card-body cb">
                                                    <div class="row">
                                                        <div class="col-lg-8 col-md-8 ">
                                                            <span>Livraison standard</span> <span
                                                                class="spn-clrd">SHOPEE SUPPORTED LO..</span>
                                                        </div>
                                                        <div class="col-lg-4 col-md-4 text-right">
                                                            <span>
                                                                RM4.90 <a href="#" data-bs-toggle="modal"
                                                                    data-bs-target="#myModal"><i
                                                                        class="fa-solid fa-pencil"></i></a>
                                                                <label class="switch">
                                                                    <input type="checkbox">
                                                                    <span class="slider round"></span>
                                                                </label>
                                                            </span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <br>
                            <br>
                            <br>
                        </div>
                    </div>
                </div>
                <div id="section5" class="">
                    <h2>Autres</h2>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="row">
                                <div class="col-lg-2 col-md-2 col-sm-4 col-4 txt-align">
                                    <label class="">Pré-commande <i class="fa-regular fa-circle-question"></i></label>
                                </div>
                                <div class="col-lg-10 col-md-10 col-sm-8 col-8 position-r">
                                    <ul class="radi-o">
                                        <li><label class="">Non
                                                <input type="radio" checked="checked" name="radio">
                                                <span class="checkmark"></span>
                                            </label>
                                        </li>
                                        <li><label class="">Oui
                                                <input type="radio" checked="checked" name="radio">
                                                <span class="checkmark"></span>
                                            </label>
                                        </li>
                                    </ul>
                                    <div class="col-lg-12 p-0">
                                        <span class="ff1">J'ai besoin</span>
                                        <input type="number" placeholder="" class="form-control ff2" /><span
                                            class="ff3"> business days to ship(between 7 to 30)</span>
                                    </div>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-lg-2 txt-align a-c-s">
                                    <label class="mb-0">Condition</label>
                                </div>
                                <div class="col-lg-7 position-r">
                                    <select class="form-select">
                                        <option>Nouveau</option>
                                        <option>Nouveau</option>
                                        <option>Nouveau</option>
                                    </select>
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col-lg-2 txt-align a-c-s">
                                    <label class="">Parent SKU</label>
                                </div>
                                <div class="col-lg-7 position-r">
                                    <input type="text" placeholder="" class="form-control " />
                                </div>
                            </div>
                            <br>
                            <br>
                            <br>
                        </div>
                    </div>
                </div>

            </div>
            <footer class="footer">
                <div class="container-fluid clearfix">
                    <span class="float-none float-sm-right d-block mt-1 mt-sm-0 text-center"> © <a
                            href="javascript:void0;">Rawgadou.com</a> 2022
                    </span>
                </div>
            </footer>
        </div>
        
    </div>
    <!-- main-panel ends -->
</div>
<!-- page-body-wrapper ends -->
<div class="modal" id="myModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <!-- Modal body -->
            <div class="modal-body">
                <h6>
                    Options d'expédition gratuite : Collections personnelles (Shopee Xpress)
                </h6>
                <p class="fs-13"><span class="big-spn">RM3.50</span> Frais d'expédition calculés (sur la base du poids
                    du produit de 1Kg)</p>
                <div class="form-check mb-3">
                    <label class="form-check-label ml-0 fs-13 clr-9">
                        <input class="form-check-input" type="checkbox" name="remember"> je prendrai en charge les frais
                        d'expédition<i class="fa-regular fa-circle-question"></i>
                    </label>
                </div>
            </div>
            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-blank" data-bs-dismiss="modal">Annuler</button>
                <button type="button" class="btn btn-fill">Appliquer</button>
            </div>
        </div>
    </div>
</div>
</form>






